freemarker.template

## Class ResourceBundleLocalizedString

- java.lang.Object
- - freemarker.template.LocalizedString
  - - freemarker.template.ResourceBundleLocalizedString

All Implemented Interfaces:
  TemplateModel, TemplateScalarModel

    public class ResourceBundleLocalizedString
    extends LocalizedString

A concrete implementation of `LocalizedString` that gets a localized string from a `ResourceBundle`

### Field Summary

### Fields inherited from interface freemarker.template.TemplateScalarModel

`EMPTY_STRING`

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`ResourceBundleLocalizedString(String resourceBundleLookupKey, String resourceKey)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalizedString(Locale locale)`

### Methods inherited from class freemarker.template.LocalizedString

`getAsString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceBundleLocalizedString

    public ResourceBundleLocalizedString(String resourceBundleLookupKey,
                                         String resourceKey)

Parameters:
  `resourceBundleLookupKey` - The lookup key for the resource bundle
  `resourceKey` - the specific resource (assumed to be a string) to fish out of the resource bundle

### Method Detail

#### getLocalizedString

    public String getLocalizedString(Locale locale)
                              throws TemplateModelException

Specified by:
  `getLocalizedString` in class `LocalizedString`
Throws:
  `TemplateModelException`